# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: pyarrow
  version: 5.0.0
source:
  sha256: c3b4313eca594c20f761a836719721aaf0760001af896baec3ab64420ff9910a
  url: https://dist.apache.org/repos/dist/release/arrow/arrow-5.0.0/apache-arrow-5.0.0.tar.gz
build:
  ignore_run_exports:
    - cudatoolkit
  number: 1
  string: py38h1bc9799_1_cpu
  track_features: null
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_33
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.17.1 h7f98852_1
    - ca-certificates 2021.5.30 ha878542_0
    - cmake 3.21.1 h8897547_0
    - expat 2.4.1 h9c3ff4c_0
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_33
    - gxx_impl_linux-64 9.3.0 hd87eabc_19
    - gxx_linux-64 9.3.0 h3fbe746_33
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - krb5 1.19.2 hcc1bbae_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libcurl 7.78.0 h2574ce0_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libnghttp2 1.43.0 h812cca2_0
    - libssh2 1.9.0 ha56f1ee_6
    - libstdcxx-devel_linux-64 9.3.0 hb016644_19
    - libstdcxx-ng 11.1.0 h56837e0_6
    - libuv 1.42.0 h7f98852_0
    - lz4-c 1.9.3 h9c3ff4c_1
    - make 4.3 hd18ef5c_1
    - ncurses 6.2 h58526e2_4
    - ninja 1.10.2 h4bd325d_0
    - openssl 1.1.1k h7f98852_0
    - rhash 1.4.1 h7f98852_0
    - sysroot_linux-64 2.12 he073ed8_14
    - tk 8.6.10 h21135ba_1
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
    - zstd 1.5.0 ha95c52a_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - arrow-cpp 5.0.0 py38h801bfa5_1_cpu
    - ca-certificates 2021.5.30 ha878542_0
    - certifi 2021.5.30 py38h578d9bd_0
    - cython 0.29.24 py38h709712a_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libblas 3.9.0 10_openblas
    - libcblas 3.9.0 10_openblas
    - libffi 3.3 h58526e2_2
    - libgcc-ng 11.1.0 hc902ee8_6
    - libgfortran-ng 11.1.0 h69a702a_6
    - libgfortran5 11.1.0 h6c583b3_6
    - libgomp 11.1.0 hc902ee8_6
    - liblapack 3.9.0 10_openblas
    - libopenblas 0.3.17 pthreads_h8fe5266_1
    - libstdcxx-ng 11.1.0 h56837e0_6
    - ncurses 6.2 h58526e2_4
    - numpy 1.18.5 py38h8854b6b_0
    - openssl 1.1.1k h7f98852_0
    - python 3.8.10 h49503c6_1_cpython
    - python_abi 3.8 2_cp38
    - readline 8.1 h46c0cb4_0
    - setuptools 49.6.0 py38h578d9bd_3
    - setuptools-scm 6.0.1 pyh44b312d_0
    - setuptools_scm 6.0.1 hd8ed1ab_0
    - six 1.16.0 pyh6c4a22f_0
    - sqlite 3.36.0 h9cd32fc_0
    - tk 8.6.10 h21135ba_1
    - toml 0.10.2 pyhd8ed1ab_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - arrow-cpp 5.0.0 py38h801bfa5_1_cpu
    - libgcc-ng >=9.3.0
    - libstdcxx-ng >=9.3.0
    - numpy >=1.16,<2.0a0
    - parquet-cpp 1.5.1.*
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
  run_constrained:
    - arrow-cpp-proc * cpu
test:
  commands:
    - test ! -f ${SP_DIR}/pyarrow/tests/test_array.py
  imports:
    - pyarrow
    - pyarrow._hdfs
    - pyarrow._s3fs
    - pyarrow.dataset
    - pyarrow.flight
    - pyarrow.fs
    - pyarrow.gandiva
    - pyarrow.orc
    - pyarrow.parquet
    - pyarrow.plasma
about:
  home: http://github.com/apache/arrow
  license: Apache-2.0
  license_file:
    - LICENSE.txt
  summary: Python libraries for Apache Arrow
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - cpcloud
    - jakirkham
    - jreback
    - kou
    - kszucs
    - leifwalsh
    - nealrichardson
    - pcmoritz
    - pearu
    - pitrou
    - robertnishihara
    - siddharthteotia
    - wesm
    - xhochy
